diff -U3 -r hsfmodem-old/modules/imported/include/configtypes.h hsfmodem/modules/imported/include/configtypes.h
--- hsfmodem-old/modules/imported/include/configtypes.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/configtypes.h	2006-02-12 08:08:36.000000000 +0000
@@ -1111,120 +1111,120 @@
 typedef struct PACKED_ATTRIB tagPOUND_UD_DATA
 {
     UD_DISPLAY          cUDDisplay;         /*Flag used to detemine if to display #UD/#UG   Done*/
-	UINT8				cUDCallSetup;		/*0x1, Table 2                                  Done*/
-	UINT8		        cUDMultMediaMode;   /*0x2, Table 3                                  Done*/
-	UINT8			    cUDDTEDCEmode;      /*0x3, Table 4*/
+	CXT_UINT8				cUDCallSetup;		/*0x1, Table 2                                  Done*/
+	CXT_UINT8		        cUDMultMediaMode;   /*0x2, Table 3                                  Done*/
+	CXT_UINT8			    cUDDTEDCEmode;      /*0x3, Table 4*/
 
 	char    sUDV8CM[20];					/* 0x4 V8_CM                                    Done*/
 	char    sUDV8JM[20];					/* 0x5 V8_JM                                    Done*/
 
-	UINT8   cUDRXdb;						/*0x10, 2 Digits in Hex                         Done*/
-	UINT8   cUDTXdb;						/*0x11, 2 Digits in Hex                         Done*/
-	UINT8   cUDSNratio;						/*0x12, 2 Digits in Hex                         Done*/
-	UINT8   cUDMSE;							/*0x13 Normalized Mean Squared error*/
-	UINT8   cUDNearEchoLoss;				/*0x14 near echo loss*/
-	UINT8   cUDFarEchoLoss;					/*0x15 far echo loss*/
-	UINT16  wUDFarEchoDelay;				/*0x16 far echo delay*/
-	UINT16  wUDRoundTripDelay;				/*0x17 round trip delay*/
-    UINT32  cV34InfoBits;                   /*0x18 status */
+	CXT_UINT8   cUDRXdb;						/*0x10, 2 Digits in Hex                         Done*/
+	CXT_UINT8   cUDTXdb;						/*0x11, 2 Digits in Hex                         Done*/
+	CXT_UINT8   cUDSNratio;						/*0x12, 2 Digits in Hex                         Done*/
+	CXT_UINT8   cUDMSE;							/*0x13 Normalized Mean Squared error*/
+	CXT_UINT8   cUDNearEchoLoss;				/*0x14 near echo loss*/
+	CXT_UINT8   cUDFarEchoLoss;					/*0x15 far echo loss*/
+	CXT_UINT16  wUDFarEchoDelay;				/*0x16 far echo delay*/
+	CXT_UINT16  wUDRoundTripDelay;				/*0x17 round trip delay*/
+    CXT_UINT32  cV34InfoBits;                   /*0x18 status */
    
-	UINT8   cUDTXCarrierNegotiation;		/*0x20, Table 6                                 Done*/
-	UINT8   cUDRXCarrierNegotiation;		/*0x21, Table 6                                 Done*/
-	UINT16  wUDTXSymbol;					/*0x22, 4 Digits in Hex                         Done*/
-	UINT16  wUDRXSymbol;					/*0x23, 4 Digits in Hex                         Done*/
-	UINT16  wUDTXCarrierFreq;				/*0x24, 4 Digits in Hex                         Done*/
-	UINT16  wUDRXCarrierFreq;				/*0x25, 4 Digits in Hex                         Done*/
-	UINT16  wUDFirstTXrate;					/*0x26, 4 Digits in Hex                         Done*/
-	UINT16  wUDFirstRXrate;					/*0x27, 4 Digits in Hex                         Done*/
-
-	UINT8   cUDCarrierLossCount;			/*0x30, 2 Digits in Hex                         Done*/
-    UINT8   cUDRateRenegReqCount;           /*0x31, 2 Digits in Hex, (half)                 Done*/
-    UINT8   cUDRateRenegDetCount;           /*0x31, 2 Digits in Hex, (half)                 Done*/
-    UINT8   cUDRetrainReqCount;             /*0x32, 2 digits in Hex                         Done*/
-
-    UINT32  dwEqmAboveRtrnThreshold;
-    UINT32  dwEqmAboveRenegThreshold;
-    UINT32  dwEqmBelowRenegThreshold;
-    UINT32  dwBlockErrors;
-    UINT32  dwRtrnCounterExceeded;
-    UINT32  dwRtrnAsThirdReneg;
-	UINT32	dwInvalidSymbolRate;
-	UINT32	dwInvalidMsIndex;
-    UINT8   cUDRetrainDetCount;             /*0x33  2 digits, Retrains granted              Done*/
-    UINT16  wUDLastTXrate;                  /*0x34, 4 digits in Hex                         Done*/
-    UINT16  wUDLastRXrate;                  /*0x35, 4 digits in Hex                         Done*/
-
-    UINT8   cUDProtocolNegotiation;     /*0x40, table 4                             Done*/
-    UINT16  wUDMaxFrameSize;                    /*0x41, 3 digits*/
-    UINT8   cUDECLinkTimeout;                   /*0x42, 1 digits*/
-    UINT8   cUDECLinkNAK;                       /*0x43, 1 digits*/
-    UINT8   cUDCompressionNegotiation;  /*0x44, table 5                             Done*/
-    UINT16  cUDCompressionDictSize;             /*0x45, 4 digits                            Done*/
-
-    UINT8   cUDTXFlowControl;               /*0x50, 1 digits                                Done*/
-    UINT8   cUDRXFlowControl;               /*0x51, 1 digits                                Done*/
-    UINT32  lUDTXCharFromDTE;               /*0x52, 8 digits                                Done*/
-    UINT32  lUDRXCharToDTE;                 /*0x53, 8 digits                                Done*/
-    UINT16  wUDTXCharLost;                  /*0x54, 4 digits                                ---*/
-    UINT16  wUDRXCharLost;                  /*0x55, 4 digits                                ---*/
-    UINT32  lUDTXFrameCount;                /*0x56, 8 digits                                Done ?*/
-    UINT32  lUDRXFrameCount;                /*0x57, 8 digits                                Done ?*/
-    UINT32  lUDTXFrameErrorCount;           /*0x58, 8 digits                                Done ?*/
-    UINT32  lUDRXFrameErrorCount;           /*0x59, 8 digits                                Done ?*/
+	CXT_UINT8   cUDTXCarrierNegotiation;		/*0x20, Table 6                                 Done*/
+	CXT_UINT8   cUDRXCarrierNegotiation;		/*0x21, Table 6                                 Done*/
+	CXT_UINT16  wUDTXSymbol;					/*0x22, 4 Digits in Hex                         Done*/
+	CXT_UINT16  wUDRXSymbol;					/*0x23, 4 Digits in Hex                         Done*/
+	CXT_UINT16  wUDTXCarrierFreq;				/*0x24, 4 Digits in Hex                         Done*/
+	CXT_UINT16  wUDRXCarrierFreq;				/*0x25, 4 Digits in Hex                         Done*/
+	CXT_UINT16  wUDFirstTXrate;					/*0x26, 4 Digits in Hex                         Done*/
+	CXT_UINT16  wUDFirstRXrate;					/*0x27, 4 Digits in Hex                         Done*/
+
+	CXT_UINT8   cUDCarrierLossCount;			/*0x30, 2 Digits in Hex                         Done*/
+    CXT_UINT8   cUDRateRenegReqCount;           /*0x31, 2 Digits in Hex, (half)                 Done*/
+    CXT_UINT8   cUDRateRenegDetCount;           /*0x31, 2 Digits in Hex, (half)                 Done*/
+    CXT_UINT8   cUDRetrainReqCount;             /*0x32, 2 digits in Hex                         Done*/
+
+    CXT_UINT32  dwEqmAboveRtrnThreshold;
+    CXT_UINT32  dwEqmAboveRenegThreshold;
+    CXT_UINT32  dwEqmBelowRenegThreshold;
+    CXT_UINT32  dwBlockErrors;
+    CXT_UINT32  dwRtrnCounterExceeded;
+    CXT_UINT32  dwRtrnAsThirdReneg;
+	CXT_UINT32	dwInvalidSymbolRate;
+	CXT_UINT32	dwInvalidMsIndex;
+    CXT_UINT8   cUDRetrainDetCount;             /*0x33  2 digits, Retrains granted              Done*/
+    CXT_UINT16  wUDLastTXrate;                  /*0x34, 4 digits in Hex                         Done*/
+    CXT_UINT16  wUDLastRXrate;                  /*0x35, 4 digits in Hex                         Done*/
+
+    CXT_UINT8   cUDProtocolNegotiation;     /*0x40, table 4                             Done*/
+    CXT_UINT16  wUDMaxFrameSize;                    /*0x41, 3 digits*/
+    CXT_UINT8   cUDECLinkTimeout;                   /*0x42, 1 digits*/
+    CXT_UINT8   cUDECLinkNAK;                       /*0x43, 1 digits*/
+    CXT_UINT8   cUDCompressionNegotiation;  /*0x44, table 5                             Done*/
+    CXT_UINT16  cUDCompressionDictSize;             /*0x45, 4 digits                            Done*/
+
+    CXT_UINT8   cUDTXFlowControl;               /*0x50, 1 digits                                Done*/
+    CXT_UINT8   cUDRXFlowControl;               /*0x51, 1 digits                                Done*/
+    CXT_UINT32  lUDTXCharFromDTE;               /*0x52, 8 digits                                Done*/
+    CXT_UINT32  lUDRXCharToDTE;                 /*0x53, 8 digits                                Done*/
+    CXT_UINT16  wUDTXCharLost;                  /*0x54, 4 digits                                ---*/
+    CXT_UINT16  wUDRXCharLost;                  /*0x55, 4 digits                                ---*/
+    CXT_UINT32  lUDTXFrameCount;                /*0x56, 8 digits                                Done ?*/
+    CXT_UINT32  lUDRXFrameCount;                /*0x57, 8 digits                                Done ?*/
+    CXT_UINT32  lUDTXFrameErrorCount;           /*0x58, 8 digits                                Done ?*/
+    CXT_UINT32  lUDRXFrameErrorCount;           /*0x59, 8 digits                                Done ?*/
 
     CALL_TERMINATION_CAUSE cUDTermination;  /*0x60 Tables 8-9                               In process*/
 
-    UINT8   bHighPassDpFilterOn;            /*                                              Done*/
-    UINT8   bRBSpattern;                    /*                                              Done*/
-    UINT8   bPadDetected;                   /*                                              Done*/
-    UINT16  wDigitalLossEstimate;           /*                                              Done*/
-    UINT8   bDualPCMDetected;               /*                                              Done*/
-    UINT32  wTrainingCount;                 /*                                              Done*/
-    UINT32  dwTrainingEqmSum;               /*                                              Done*/
+    CXT_UINT8   bHighPassDpFilterOn;            /*                                              Done*/
+    CXT_UINT8   bRBSpattern;                    /*                                              Done*/
+    CXT_UINT8   bPadDetected;                   /*                                              Done*/
+    CXT_UINT16  wDigitalLossEstimate;           /*                                              Done*/
+    CXT_UINT8   bDualPCMDetected;               /*                                              Done*/
+    CXT_UINT32  wTrainingCount;                 /*                                              Done*/
+    CXT_UINT32  dwTrainingEqmSum;               /*                                              Done*/
     short   EqmValue;                       /*                                              Done*/
-    UINT8   cUDV34FBCause;                  /*                                              Done*/
+    CXT_UINT8   cUDV34FBCause;                  /*                                              Done*/
 
-	UINT32	lCallWaitingCounter;
-	UINT8	cSaveProfileResult;
-	UINT16  wIMDRatio;
-	UINT16  wA63Val;
-	UINT8	bAltRBS; 
-	UINT8   bSpeedDrop;
-	UINT32	dwHandshakeTime;
-	UINT32	dwHandshakeStarted,
+	CXT_UINT32	lCallWaitingCounter;
+	CXT_UINT8	cSaveProfileResult;
+	CXT_UINT16  wIMDRatio;
+	CXT_UINT16  wA63Val;
+	CXT_UINT8	bAltRBS; 
+	CXT_UINT8   bSpeedDrop;
+	CXT_UINT32	dwHandshakeTime;
+	CXT_UINT32	dwHandshakeStarted,
 			dwTrainingDone,
 			dwNegotiatingDone,
 			dwSessionEnded;
 
-	UINT8	nLAPMNeg;						/*	holds result of LAPM neg in v.8(bis)	*/
+	CXT_UINT8	nLAPMNeg;						/*	holds result of LAPM neg in v.8(bis)	*/
 
 #ifdef SAVE_TXRX_STATES
 	struct TxRxStateRecord
 	{
-		UINT32 Time;
-		UINT8 TxState, RxState, Conf;
+		CXT_UINT32 Time;
+		CXT_UINT8 TxState, RxState, Conf;
 	} TxRxStates[MAX_STATES];
     unsigned   cTxRxIndex;
-	UINT8 cDpSpeed, cOurSpeed;
+	CXT_UINT8 cDpSpeed, cOurSpeed;
 #endif
 #ifdef SAVE_MOH_STATES
 #define MAX_MOH_STATES  30
     struct MohStateRecord
     {
-		UINT32  dwTime;
-		UINT8   bTxState, bRxState;
-        UINT8   bAbCode, bDpState;
+		CXT_UINT32  dwTime;
+		CXT_UINT8   bTxState, bRxState;
+        CXT_UINT8   bAbCode, bDpState;
     } MohStates[MAX_MOH_STATES];
     unsigned   cMohIndex;
 #endif
 
 #ifdef CADMUS2
-	UINT8	nScriptReturnedWrongSize,
+	CXT_UINT8	nScriptReturnedWrongSize,
 			nScriptTimeout;
-	UINT16	wSpdCnt;
+	CXT_UINT16	wSpdCnt;
 #endif
 
-    UINT8   nDownloadFailureIndex;
+    CXT_UINT8   nDownloadFailureIndex;
     DOWNLOAD_FAILURE    DownloadFailure[MAX_DOWNLOAD_FAILURE];
 
 #ifdef LAPM_NEG_STATS
@@ -1232,37 +1232,37 @@
 #define LAPM_MAX_EQM_INDEX				50
 #define	LAPM_MAX_EQM_INDEX_DECIMATOR	50
 
-	UINT32	dwXidReceived;
-	UINT32	dwValidXidReceived;
-	UINT32	dwXidSent;
-	UINT32	dwSabmeSent;
-	UINT32  dwTimeWaitingForXID;
-	UINT32  dwTimeWaitingForUA;
-	UINT32  dwInvalidXidFormatId;
-	UINT32  dwInvalidXidLength;
-	UINT16	wEQM[LAPM_MAX_EQM_INDEX];
-	UINT16	wEqmIndex;
-	UINT16	wHDLC_abort;
-	UINT16	wHDLC_badcrc;
-	UINT16	wHDLC_noteof;
-	UINT16	wHDLC_overrun;
-	UINT16	wHDLC_goodeof;
+	CXT_UINT32	dwXidReceived;
+	CXT_UINT32	dwValidXidReceived;
+	CXT_UINT32	dwXidSent;
+	CXT_UINT32	dwSabmeSent;
+	CXT_UINT32  dwTimeWaitingForXID;
+	CXT_UINT32  dwTimeWaitingForUA;
+	CXT_UINT32  dwInvalidXidFormatId;
+	CXT_UINT32  dwInvalidXidLength;
+	CXT_UINT16	wEQM[LAPM_MAX_EQM_INDEX];
+	CXT_UINT16	wEqmIndex;
+	CXT_UINT16	wHDLC_abort;
+	CXT_UINT16	wHDLC_badcrc;
+	CXT_UINT16	wHDLC_noteof;
+	CXT_UINT16	wHDLC_overrun;
+	CXT_UINT16	wHDLC_goodeof;
 #endif
 #ifdef LOOPBACK_RETRAIN
 
 #define	LOOPBACK_MAX_EQM_NUMBER	64
 
-	UINT16	wLoopbackEqm[LOOPBACK_MAX_EQM_NUMBER];
-	UINT32	dwLoopbackEqmIndex;
-	UINT32	dwTotalLoopbackRetrains;
+	CXT_UINT16	wLoopbackEqm[LOOPBACK_MAX_EQM_NUMBER];
+	CXT_UINT32	dwLoopbackEqmIndex;
+	CXT_UINT32	dwTotalLoopbackRetrains;
 #endif
 
 #if defined(USE_LOOPBACK_RESTART) && defined(_DEBUG)
-	UINT32	dwLalSetupFailure;
+	CXT_UINT32	dwLalSetupFailure;
 #endif
 
 #ifdef DP_CLOCK_WA_STAT
-	UINT32	dwWa3333[4];
+	CXT_UINT32	dwWa3333[4];
 #endif
     } POUND_UD_DATA, *PPOUND_UD_DATA;
 
@@ -1292,9 +1292,9 @@
 typedef struct PACKED_ATTRIB tagPercTT_Parms
 {
     PERCTT_TYPE eType;
-    UINT32      x;
-    UINT32      y;
-    UINT32      z;
+    CXT_UINT32      x;
+    CXT_UINT32      y;
+    CXT_UINT32      z;
 } PERCTT_PARAMS, *PPERCTT_PARAMS;
 
 
@@ -1358,36 +1358,36 @@
 typedef struct tagMtParams
 {
 	MT_TYPE			Type;
-	UINT32			Timeout;
+	CXT_UINT32			Timeout;
 	DIAL_MODE		DialMode;
 	MT_STATUS		Status;
 	union {
-		UINT32		Value;
+		CXT_UINT32		Value;
 		struct		
 		{
-			UINT32	NoDialtoneTimeout;
-			UINT32	PostDelayTimeout;
+			CXT_UINT32	NoDialtoneTimeout;
+			CXT_UINT32	PostDelayTimeout;
 		} DialtoneDetection;
 		struct 
 		{
-			UINT32	NoiseLevel;
-			UINT32	MaxNoiseLevel;
+			CXT_UINT32	NoiseLevel;
+			CXT_UINT32	MaxNoiseLevel;
 		} BackgroundNoise;
 		struct
 		{
-			UINT32	MinRings;
-			UINT32	Rings;
+			CXT_UINT32	MinRings;
+			CXT_UINT32	Rings;
 		} RingDetection;
 		struct
 		{
-			UINT32			ConnectionTimeout;
-			UINT32			ConnectionTime;
+			CXT_UINT32			ConnectionTimeout;
+			CXT_UINT32			ConnectionTime;
 			CARRIER_REPORT	CarrierInfo;
 		} DataConnection;
 	};
-//	UINT32			Param1;	
-//	UINT32			Param2;
-//	UINT32			Param3;
+//	CXT_UINT32			Param1;	
+//	CXT_UINT32			Param2;
+//	CXT_UINT32			Param3;
 	char			DialString[MAX_MT_DIAL_STRING];
 } MT_PARAMS, *PMT_PARAMS;
 
@@ -1418,8 +1418,8 @@
 #define MAX_MIC_STEPS        6
 
 typedef struct tagVoiceEvent {
-    UINT32  dwEvent;
-    BOOL    bPostfix;
+    CXT_UINT32  dwEvent;
+    CXT_BOOL    bPostfix;
     } VOICE_EVENT;
 
 /* Voice Event code reporting from DCE */
@@ -1571,79 +1571,79 @@
 
 /* CFGMGR_VOICE_FDSP_PARAMS, CFGMGR_VOICE_FDSP_PREV_PARAMS */
 typedef struct tagVoiceFDSPParams {
-    UINT32  dwEnable;
-    UINT32  dwDuplexMode;
-    UINT32  dwMicGain;
-    UINT32  dwSpeakerGain;
-    UINT32  dwSpeakerStep;
-    UINT32  dwMicControl;
+    CXT_UINT32  dwEnable;
+    CXT_UINT32  dwDuplexMode;
+    CXT_UINT32  dwMicGain;
+    CXT_UINT32  dwSpeakerGain;
+    CXT_UINT32  dwSpeakerStep;
+    CXT_UINT32  dwMicControl;
     } VOICE_FDSP_PARAMS, *PVOICE_FDSP_PARAMS;
 
 /* CFGMGR_VOICE_VBT_PARAMS */
 typedef struct tagVoiceVBTParams {
-    UINT32  dwTxXONMark;
-    UINT32  dwTxXOFFMark;
+    CXT_UINT32  dwTxXONMark;
+    CXT_UINT32  dwTxXOFFMark;
     } VOICE_VBT_PARAMS, *PVOICE_VBT_PARAMS;
 
 /* CFGMGR_VOICE_VDID_PARAMS */
 typedef struct tagVoiceVDIDParams {
-    UINT32  dwSetting;
-    UINT32  dwDigits;
-    UINT32  dwTimeOut;
+    CXT_UINT32  dwSetting;
+    CXT_UINT32  dwDigits;
+    CXT_UINT32  dwTimeOut;
     } VOICE_VDID_PARAMS, *PVOICE_VDID_PARAMS;
 
 /* CFGMGR_VOICE_VDT_PARAMS */
 typedef struct tagVoiceVDTParams {
-    UINT32  dwToneReportEnable;
-    UINT32  dwToneReportType;
+    CXT_UINT32  dwToneReportEnable;
+    CXT_UINT32  dwToneReportType;
     } VOICE_VDT_PARAMS, *PVOICE_VDT_PARAMS;
 
 /* CFGMGR_VOICE_VGR_PARAMS */
 typedef struct tagVoiceVGRParams {
-    UINT32  dwVRxGain;
-    UINT8   cVolumeRxLevel;
-    UINT8   cMaxRxLevel;
-    UINT8   cMinRxLevel;
+    CXT_UINT32  dwVRxGain;
+    CXT_UINT8   cVolumeRxLevel;
+    CXT_UINT8   cMaxRxLevel;
+    CXT_UINT8   cMinRxLevel;
     } VOICE_VGR_PARAMS, *PVOICE_VGR_PARAMS;
 
 /* CFGMGR_VOICE_VGT_PARAMS */
 typedef struct tagVoiceVGTParams {
-    UINT32  dwVTxGain;
-    UINT8   cVolumeTxLevel;
+    CXT_UINT32  dwVTxGain;
+    CXT_UINT8   cVolumeTxLevel;
     } VOICE_VGT_PARAMS, *PVOICE_VGT_PARAMS;
 
 /* CFGMGR_VOICE_VLS_PARAMS */
 typedef struct tagVoiceVLSParams {
-    UINT32  bVoiceLocalMode;
-    UINT32  bVoicePhoneToDCE;
-    UINT32  bMicSpeakerToLine;
-    UINT32  bMicSpeakerToDCE;
-    UINT32  bMicSpeakerCtl;
-    UINT32  dwPreviousRelayConfig;
-    UINT32  bVLSOffHook;
+    CXT_UINT32  bVoiceLocalMode;
+    CXT_UINT32  bVoicePhoneToDCE;
+    CXT_UINT32  bMicSpeakerToLine;
+    CXT_UINT32  bMicSpeakerToDCE;
+    CXT_UINT32  bMicSpeakerCtl;
+    CXT_UINT32  dwPreviousRelayConfig;
+    CXT_UINT32  bVLSOffHook;
     } VOICE_VLS_PARAMS, *PVOICE_VLS_PARAMS;
 
 /* CFGMGR_VOICE_VSD_PARAMS */
 typedef struct tagVoiceVSDParams {
-    UINT32  dwSilenceTune;
-    UINT32  dwSilencePeriod;
+    CXT_UINT32  dwSilenceTune;
+    CXT_UINT32  dwSilencePeriod;
     } VOICE_VSD_PARAMS, *PVOICE_VSD_PARAMS;
 
 /* CFGMGR_VOICE_VSM_PARAMS */
 typedef struct tagVoiceVSMParams {
-    UINT32  dwCompressionMethod;
-    UINT32  dwSampleRate;
-    UINT32  dwSilenceCompression;
-    UINT32  dwSilenceExpansion;
+    CXT_UINT32  dwCompressionMethod;
+    CXT_UINT32  dwSampleRate;
+    CXT_UINT32  dwSilenceCompression;
+    CXT_UINT32  dwSilenceExpansion;
     } VOICE_VSM_PARAMS, *PVOICE_VSM_PARAMS;
 
 /* CFGMGR_VOICE_VTS_PARAMS */
 typedef struct tagVoiceVTSParams {
-    UINT32  dwFreqTone1;
-    UINT32  dwFreqTone2;
-    UINT32  dwDTMFDigit;
-    UINT32  dwDuration;
-    UINT32  dwToneType;
+    CXT_UINT32  dwFreqTone1;
+    CXT_UINT32  dwFreqTone2;
+    CXT_UINT32  dwDTMFDigit;
+    CXT_UINT32  dwDuration;
+    CXT_UINT32  dwToneType;
     } VOICE_VTS_PARAMS, *PVOICE_VTS_PARAMS;
 
 typedef enum tagVTSType {
@@ -1664,47 +1664,47 @@
 /* CFGMGR_VOICE_MISC_PARAMS */
 #pragma pack(1)
 typedef struct PACKED_ATTRIB tagVoiceMiscParams {
-   UINT32 dwDSVD_VGS_MIN;    /* dummy */
-   UINT32 dwDSVD_VGS_MAX;    /* dummy */
-   UINT32 dwDSVD_VGS;        /* dummy */
-   UINT32 dwDSVD_VGM_MIN;    /* dummy */
-   UINT32 dwDSVD_VGM_MAX;    /* dummy */
-   UINT32 dwDSVD_VGM;        /* dummy */
-   UINT32 dwFDSP_VGS_MIN;    
-   UINT32 dwFDSP_VGS_MAX;    
-   UINT32 dwFDSP_VGS;    
-   UINT32 dwFDSP_VGM_MIN;
-   UINT32 dwFDSP_VGM_MAX;
-   UINT32 dwFDSP_VGM;
-   UINT8  cFDSP_VGR_MIN;
-   UINT8  cFDSP_VGR_MAX;
-   UINT8  cFDSP_VGR;
-   UINT8  cTAM_VGR_MIN;
-   UINT8  cTAM_VGR_MAX;
-   UINT8  cTAM_VGR;
-   UINT8  cVoiceTxLimiter;
-   UINT8  cVoiceTeloutLimiter;
-   UINT8  cVIAMicGain;
-   UINT8  cVIA4DBDrop;
-   UINT8  cVIASpeakerGain;
-   UINT16 dwVoiceInputScale;
-   UINT16 wVoiceLineScale[6];
-   UINT16 wFDSPTAGCGAIN;
-   UINT16 wFDSPRAGCGAIN;
-   UINT16 wVoiceRxLineScale;
-   UINT16 wMicAGCAdd;
-   UINT16 LECLeakageCtl;
-   UINT16 wMinMicGain;
-   UINT16 wMaxMicGain;
-   UINT16 wMaxMicLvl;
-   UINT16 wTxSatAtt;
-   UINT8  cFDSPTxLimiter;
-   UINT8  cMinVRNAllowed;
-   UINT16 wMicGainConcurrent; 
-   UINT16 wSpkGainConcurrent;
-   UINT8  cLineSilenceDetectMin;
-   UINT8  cLineSilenceDetectMed;
-   UINT8  cLineSilenceDetectMax;
+   CXT_UINT32 dwDSVD_VGS_MIN;    /* dummy */
+   CXT_UINT32 dwDSVD_VGS_MAX;    /* dummy */
+   CXT_UINT32 dwDSVD_VGS;        /* dummy */
+   CXT_UINT32 dwDSVD_VGM_MIN;    /* dummy */
+   CXT_UINT32 dwDSVD_VGM_MAX;    /* dummy */
+   CXT_UINT32 dwDSVD_VGM;        /* dummy */
+   CXT_UINT32 dwFDSP_VGS_MIN;    
+   CXT_UINT32 dwFDSP_VGS_MAX;    
+   CXT_UINT32 dwFDSP_VGS;    
+   CXT_UINT32 dwFDSP_VGM_MIN;
+   CXT_UINT32 dwFDSP_VGM_MAX;
+   CXT_UINT32 dwFDSP_VGM;
+   CXT_UINT8  cFDSP_VGR_MIN;
+   CXT_UINT8  cFDSP_VGR_MAX;
+   CXT_UINT8  cFDSP_VGR;
+   CXT_UINT8  cTAM_VGR_MIN;
+   CXT_UINT8  cTAM_VGR_MAX;
+   CXT_UINT8  cTAM_VGR;
+   CXT_UINT8  cVoiceTxLimiter;
+   CXT_UINT8  cVoiceTeloutLimiter;
+   CXT_UINT8  cVIAMicGain;
+   CXT_UINT8  cVIA4DBDrop;
+   CXT_UINT8  cVIASpeakerGain;
+   CXT_UINT16 dwVoiceInputScale;
+   CXT_UINT16 wVoiceLineScale[6];
+   CXT_UINT16 wFDSPTAGCGAIN;
+   CXT_UINT16 wFDSPRAGCGAIN;
+   CXT_UINT16 wVoiceRxLineScale;
+   CXT_UINT16 wMicAGCAdd;
+   CXT_UINT16 LECLeakageCtl;
+   CXT_UINT16 wMinMicGain;
+   CXT_UINT16 wMaxMicGain;
+   CXT_UINT16 wMaxMicLvl;
+   CXT_UINT16 wTxSatAtt;
+   CXT_UINT8  cFDSPTxLimiter;
+   CXT_UINT8  cMinVRNAllowed;
+   CXT_UINT16 wMicGainConcurrent; 
+   CXT_UINT16 wSpkGainConcurrent;
+   CXT_UINT8  cLineSilenceDetectMin;
+   CXT_UINT8  cLineSilenceDetectMed;
+   CXT_UINT8  cLineSilenceDetectMax;
     } VOICE_MISC_PARAMS, *PVOICE_MISC_PARAMS;
 #pragma pack()
 
diff -U3 -r hsfmodem-old/modules/imported/include/dbgfuncs.h hsfmodem/modules/imported/include/dbgfuncs.h
--- hsfmodem-old/modules/imported/include/dbgfuncs.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/dbgfuncs.h	2006-02-12 08:08:38.000000000 +0000
@@ -107,7 +107,7 @@
 
 #if ( (OS_TYPE == OS_LINUX) && (UK_MODE == UK_KERNEL) )
 #define DPRINTF(ARGS)	{					\
-						  UINT32 dwTime = OsGetSystemTime();	\
+						  CXT_UINT32 dwTime = OsGetSystemTime();	\
 						  OsDebugPrintf ("%07lu.%03lu: ", dwTime/1000, dwTime%1000);	\
 						  OsDebugPrintf ARGS;	\
 						  OsDebugPrintf ("\n");	\
diff -U3 -r hsfmodem-old/modules/imported/include/dcp.h hsfmodem/modules/imported/include/dcp.h
--- hsfmodem-old/modules/imported/include/dcp.h	2004-01-18 05:38:28.000000000 +0000
+++ hsfmodem/modules/imported/include/dcp.h	2006-02-12 08:08:39.000000000 +0000
@@ -105,7 +105,7 @@
 __shimcall__
 VOID DcpSetVolume(HANDLE hDcp, int nVolume);
 __shimcall__
-VOID DcpCallback(HANDLE hDcp, PVOID pData, UINT32 dwSize);
+VOID DcpCallback(HANDLE hDcp, PVOID pData, CXT_UINT32 dwSize);
 #endif  /* !defined NO_DCP_SUPPORT */
 
 #ifdef __cplusplus
diff -U3 -r hsfmodem-old/modules/imported/include/diagmgr_ex.h hsfmodem/modules/imported/include/diagmgr_ex.h
--- hsfmodem-old/modules/imported/include/diagmgr_ex.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/diagmgr_ex.h	2006-02-12 08:08:40.000000000 +0000
@@ -126,7 +126,7 @@
 PVOID		DiagMgrGetInterface				(void);
 
 __shimcall__
-UINT32		DiagMgrGetInterfaceVersion		(void);
+CXT_UINT32		DiagMgrGetInterfaceVersion		(void);
 
 __shimcall__
 HDIAGMGR	DiagMgrCreate					(IN		PSYSTEM_INSTANCES_T pSys);			
@@ -150,13 +150,13 @@
 COM_STATUS	DiagMgrConfigure				(IN		HDIAGMGR			hInstance,
 											 IN		CNXT_DIAG_CFG_CODES	ConfigureCode,
 											 IN		PVOID				pInBuffer,
-											 IN		UINT32				dwBufferSize);
+											 IN		CXT_UINT32				dwBufferSize);
 
 __shimcall__
 COM_STATUS	DiagMgrControl					(IN		HDIAGMGR			hInstance,
 											 IN		CNXT_DIAG_CTRL_CODES ControlCode,
 											 IN		PVOID				pInBuffer,
-											 IN		UINT32				dwBufferSize);
+											 IN		CXT_UINT32				dwBufferSize);
 
 
 typedef struct I_DIAG_MGR_TAG{
@@ -177,7 +177,7 @@
 	Return Value: The interface compilation version.
 
 	********************************************************************************/
-	UINT32		(*GetInterfaceVersion)(void);
+	CXT_UINT32		(*GetInterfaceVersion)(void);
 
 
 	/********************************************************************************
@@ -281,7 +281,7 @@
 	COM_STATUS	(*Configure)(	IN	HDIAGMGR			hBlock,
 								IN	CNXT_DIAG_CFG_CODES	ConfigCode,
 								IN	PVOID				pInBuffer,
-								IN	UINT32				nInBufferSize);
+								IN	CXT_UINT32				nInBufferSize);
 
 	/********************************************************************************
 
@@ -301,7 +301,7 @@
 	COM_STATUS	(*Control)(	IN	HDIAGMGR				hBlock,
 							IN	CNXT_DIAG_CTRL_CODES	ControlCode,
 							IN	PVOID					pInBuffer,
-							IN	UINT32					nInBufferSize);
+							IN	CXT_UINT32					nInBufferSize);
 
 } I_DIAG_MGR_T, *PI_DIAG_MGR_T;
 
diff -U3 -r hsfmodem-old/modules/imported/include/dpaloem.h hsfmodem/modules/imported/include/dpaloem.h
--- hsfmodem-old/modules/imported/include/dpaloem.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/dpaloem.h	2006-02-12 08:04:05.000000000 +0000
@@ -222,9 +222,9 @@
 /*                                         */
 typedef struct PACKED_ATTRIB BOARD_PARAMS_TAG
 {
-	BOOL			f3VoltsIA;			/* TRUE when it's 3.3 volt (should add 4 dB) */
-	BOOL			fSpkMuteHWPresent;	/* speaker can be muted */
-	BOOL			fSpkMuteHWPolarity;	/* spekar mute polarity. */
+	CXT_BOOL			f3VoltsIA;			/* TRUE when it's 3.3 volt (should add 4 dB) */
+	CXT_BOOL			fSpkMuteHWPresent;	/* speaker can be muted */
+	CXT_BOOL			fSpkMuteHWPolarity;	/* spekar mute polarity. */
 										/* when true - we should set a GPIO to mute */
 	DWORD			OEMSpkrMuteDelay;	/* in ms */
  
@@ -232,9 +232,9 @@
 	CAESAR_PARAMS	CaesarParams;		/* Specific parameters for Caesar */
 	CAESAR_PARAMS	CaesarParamsK3;		/* Specific parameters for Caesar on Kublai3 (Endurance) */
 	CAESAR_PARAMS	HalParams;			/* Specific parameters Hal */
-	BOOL			fPmeWithInt;		/* Generate PME with/without interrupt. */
+	CXT_BOOL			fPmeWithInt;		/* Generate PME with/without interrupt. */
 	BYTE			VoiceCodecMicGain;
-	BOOL			fClearPME;			/* Always clear PME status bit. */
+	CXT_BOOL			fClearPME;			/* Always clear PME status bit. */
 	
 	HW_DATA			HwData;
 
@@ -246,7 +246,7 @@
 	DWORD			VendorId;
 	DWORD			HwType;
 #endif
-	BOOL			fLookForExternalAudioStreams;	/* Specifies to CSampler whether it needs to evan try external source for audiostreams.																		*/
+	CXT_BOOL			fLookForExternalAudioStreams;	/* Specifies to CSampler whether it needs to evan try external source for audiostreams.																		*/
 
 	VIA_CORELOGIC_PARAMS ViaParams;
 	DWORD			PllStartupDelay;
diff -U3 -r hsfmodem-old/modules/imported/include/intfctrl_ex.h hsfmodem/modules/imported/include/intfctrl_ex.h
--- hsfmodem-old/modules/imported/include/intfctrl_ex.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/intfctrl_ex.h	2006-02-12 08:08:41.000000000 +0000
@@ -236,7 +236,7 @@
 {
 #endif
 
-PVOID       CreateInterface     (IN BLOCK_TYPE BlockType, IN UINT32 BlockID);
+PVOID       CreateInterface     (IN BLOCK_TYPE BlockType, IN CXT_UINT32 BlockID);
 COM_STATUS  DestroyInterface    (IN PVOID Interface);
 
 #ifdef __cplusplus
@@ -249,7 +249,7 @@
 typedef struct I_INTF_CTRL_TAG
 {
     
-    PVOID       (*CreateInterface)   (BLOCK_TYPE BlockType, UINT32 BlockID);
+    PVOID       (*CreateInterface)   (BLOCK_TYPE BlockType, CXT_UINT32 BlockID);
     COM_STATUS  (*DestroyInterface)  (PVOID Interface);
 
 } I_INTF_CTRL_T, *PI_INTF_CTRL_T;
diff -U3 -r hsfmodem-old/modules/imported/include/memmgr_ex.h hsfmodem/modules/imported/include/memmgr_ex.h
--- hsfmodem-old/modules/imported/include/memmgr_ex.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/memmgr_ex.h	2006-02-12 08:08:42.000000000 +0000
@@ -122,11 +122,11 @@
 #endif
 
 
-UINT32		MemMgrGetInterfaceVersion   (void);
+CXT_UINT32		MemMgrGetInterfaceVersion   (void);
 HMEMMGR     MemMgrCreate                (void);
 COM_STATUS  MemMgrDestroy               (IN HMEMMGR hMemMgr);
 #ifndef USE_INLINE_OS_MEMMGR
-PVOID	    MemMgrAlloc                 (IN HMEMMGR hMemMgr, IN UINT32 dwSize);
+PVOID	    MemMgrAlloc                 (IN HMEMMGR hMemMgr, IN CXT_UINT32 dwSize);
 COM_STATUS	MemMgrFree                  (IN HMEMMGR hMemMgr, PVOID	pMem);
 #else
 
@@ -136,7 +136,7 @@
 #include "osmemory_ex.h"
 
 #if ( USE_MEM_MGR == 1 )
-static inline PVOID       MemMgrAlloc    (HMEMMGR hMemMgr, UINT32 dwSize)
+static inline PVOID       MemMgrAlloc    (HMEMMGR hMemMgr, CXT_UINT32 dwSize)
 {
     return OsHeapAllocate(dwSize, OS_NON_PAGED);
 }
@@ -166,11 +166,11 @@
 
 typedef struct I_MEM_MGR_TAG
 {
-	UINT32		(*GetInterfaceVersion)(void);
+	CXT_UINT32		(*GetInterfaceVersion)(void);
 
 	HMEMMGR		(*Create)    (void);
 	COM_STATUS	(*Destroy)   (IN HMEMMGR	hMemMgr);
-	PVOID	    (*Alloc)     (IN	HMEMMGR	hMemMgr, IN UINT32 dwSizeSize);
+	PVOID	    (*Alloc)     (IN	HMEMMGR	hMemMgr, IN CXT_UINT32 dwSizeSize);
 	COM_STATUS	(*Free)      (IN	HMEMMGR	hMemMgr, IN PVOID pMem);
 
     #ifdef _DEBUG
diff -U3 -r hsfmodem-old/modules/imported/include/osdiag.h hsfmodem/modules/imported/include/osdiag.h
--- hsfmodem-old/modules/imported/include/osdiag.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/osdiag.h	2006-02-12 08:08:42.000000000 +0000
@@ -173,7 +173,7 @@
 __shimcall__
 COM_STATUS OsDiagMgrNotify(	IN HANDLE			hOsDiagMgr,						 
 							CNXT_DIAG_CODES		Code,
-							UINT32				dwData		);
+							CXT_UINT32				dwData		);
 
 
 #if !defined NO_DUMPMGR_SUPPORT
